package com.ruoyi.base.domain;

import java.math.BigDecimal;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 会员卡对象 dl_base_card
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_base_card")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseCard extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 会员卡名称 */
    @Excel(name = "会员卡名称")
    private String cardName;

    /** 会员卡所属用户类型 */
    @Excel(name = "会员卡所属用户类型")
    private String userType;

    /** 会员卡描述 */
    @Excel(name = "会员卡描述")
    private String content;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 是否系统内置 */
    @Excel(name = "是否系统内置")
    private Integer isSystem;

    /** 图片logo */
    @Excel(name = "图片logo")
    private String image;

    /** 月付金额（为null就是没有） */
    @Excel(name = "月付金额", readConverterExp = "为=null就是没有")
    private BigDecimal monthPrice;

    /** 季付金额（为null就是没有） */
    @Excel(name = "季付金额", readConverterExp = "为=null就是没有")
    private BigDecimal quarterPrice;

    /** 年付金额（为null就是没有） */
    @Excel(name = "年付金额", readConverterExp = "为=null就是没有")
    private BigDecimal yearPrice;

    /** 备注（保留字段） */
    @Excel(name = "备注", readConverterExp = "保=留字段")
    private String remark;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private Integer isShow;

}
