package com.ruoyi.base.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 分类树-各种分类属性结构对象 dl_base_category
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_base_category")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseCategory extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 唯一编码 */
    @Excel(name = "唯一编码")
    private String code;

    /** 父级 */
    @Excel(name = "父级")
    private String pid;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 描述 */
    @Excel(name = "描述")
    private String content;

    /** 是否平台级数据 */
    @Excel(name = "是否平台级数据")
    private Integer isSystem;

    /** 所有者id */
    private Long userId;

    /** 备注-扩展字段 */
    @Excel(name = "备注-扩展字段")
    private String remark;

}
