package com.ruoyi.base.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.DlBaseEntity;
import lombok.*;
import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 城市对象 dl_base_city
 * 
 * @author vinjor-m
 * @date 2025-03-18
 */
@TableName("dl_base_city")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseCity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_UUID)
    private Long id;

    /** 城市id */
    @Excel(name = "城市id")
    private Long cityId;

    /** 省市级别 */
    @Excel(name = "省市级别")
    private Long level;

    /** 父级id */
    @Excel(name = "父级id")
    private Long parentId;

    /** 区号 */
    @Excel(name = "区号")
    private String areaCode;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 合并名称 */
    @Excel(name = "合并名称")
    private String mergerName;

    /** 经度 */
    @Excel(name = "经度")
    private String lng;

    /** 纬度 */
    @Excel(name = "纬度")
    private String lat;

    /** 是否展示 */
    @Excel(name = "是否展示")
    private Integer isShow;

}
