package com.ruoyi.base.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 会员权益对象 dl_base_rights
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_base_rights")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseRights extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 权益所属用户类型 */
    @Excel(name = "权益所属用户类型")
    private String userType;

    /** 权益编码 */
    @Excel(name = "权益编码")
    private String code;

    /** 权益名称 */
    @Excel(name = "权益名称")
    private String name;

    /** 权益logo */
    @Excel(name = "权益logo")
    private String image;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 权益类型 */
    @Excel(name = "权益类型")
    private String rightsType;

    /** 权益限制周期(数据字典：dl_rights_cycle) */
    @Excel(name = "权益限制周期(数据字典：dl_rights_cycle)")
    private String rightsCycle;

    /** 备注 */
    private String remark;

}
