package com.ruoyi.base.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.common.utils.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.base.mapper.BaseCategoryMapper;
import com.ruoyi.base.domain.BaseCategory;
import com.ruoyi.base.service.IBaseCategoryService;

/**
 * 分类树-各种分类属性结构Service业务层处理
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@Service
public class BaseCategoryServiceImpl extends ServiceImpl<BaseCategoryMapper,BaseCategory>  implements IBaseCategoryService
{
    @Autowired
    private BaseCategoryMapper baseCategoryMapper;

    @Override
    public IPage<BaseCategory> queryListPage(BaseCategory pageReqVO, Page<BaseCategory> page) {
        return baseCategoryMapper.queryListPage(pageReqVO, page);
    }

    /**
     * 根据code查询字典
     *
     * @param code
     * @return java.util.List<com.ruoyi.base.domain.BaseCategory>
     * @author vinjor-M
     * @date 11:32 2025/3/18
     **/
    @Override
    public List<BaseCategory> selectByCode(String code) {
        return this.list(new LambdaQueryWrapper<BaseCategory>().eq(BaseCategory::getCode,code));
    }
}
