package com.ruoyi.busi.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 评价对象 dl_busi_evaluate
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_evaluate")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiEvaluate extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 评价者 */
    private Long userId;

    /** 用户类型 */
    @Excel(name = "用户类型")
    private String userType;

    /** 评价者 */
    @Excel(name = "评价者")
    private String nickname;

    /** 被评价者 */
    @Excel(name = "被评价者")
    private Long toUserId;

    /** 被评价者用户类型 */
    @Excel(name = "被评价者用户类型")
    private String toUserType;

    /** 评价内容code */
    @Excel(name = "评价内容code")
    private String evaluateCode;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String evaluate;

}
