package com.ruoyi.busi.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 意见反馈对象 dl_busi_feedback
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_feedback")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiFeedback extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 用户类型 */
    @Excel(name = "用户类型")
    private String userType;

    /** 反馈意见 */
    @Excel(name = "反馈意见")
    private String content;

    /** 反馈图片 */
    @Excel(name = "反馈图片")
    private String images;

    /** 回馈内容 */
    @Excel(name = "回馈内容")
    private String backContent;

    /** 回馈图片 */
    @Excel(name = "回馈图片")
    private String backImages;

    /** 回馈时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回馈时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date backTime;

    /** 回馈人 */
    @Excel(name = "回馈人")
    private Long backUserId;

}
