package com.ruoyi.busi.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 通告报名对象 dl_busi_notice_sign
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_notice_sign")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiNoticeSign extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 通告 */
    @Excel(name = "通告")
    private String noticeId;

    /** 报名用户 */
    private Long userId;

    /** 报名用户昵称 */
    @Excel(name = "报名用户昵称")
    private String nickname;

    /** 报名用户头像 */
    @Excel(name = "报名用户头像")
    private String avatar;

    /** 是否超级报名 */
    @Excel(name = "是否超级报名")
    private Integer isSuper;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String tel;

    /** 收货地址 */
    @Excel(name = "收货地址")
    private String addrId;

    /** 通告合作状态 */
    @Excel(name = "通告合作状态")
    private String status;

    /** 稿件内容 */
    private String content;

    /** 稿件图片 */
    @Excel(name = "稿件图片")
    private String images;

    /** 已发布的文章链接 */
    @Excel(name = "已发布的文章链接")
    private String articleRef;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

}
