package com.ruoyi.busi.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 举报记录对象 dl_busi_report
 * 
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_report")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiReport extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 用户类型 */
    private String userType;

    /** 被举报人 */
    @Excel(name = "被举报人")
    private Long reportUserId;

    /** 被举报人类型 */
    private String reportUserType;

    /** 被举报的通告 */
    @Excel(name = "被举报的通告")
    private String reportNoticeId;

    /** 举报类型code（树形字典：dl_report_type） */
    private String reportType;

    /** 举报类型文本 */
    @Excel(name = "举报类型文本")
    private String reportTitle;

    /** 举报描述 */
    private String content;

    /** 举报图片 */
    private String images;

    /** 处理人 */
    @Excel(name = "处理人")
    private Long dealUserId;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String dealResult;

    /** 处理时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dealTime;

}
