package com.ruoyi.member.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 博主收货地址对象 dl_member_address
 * 
 * @author pqz
 * @date 2025-03-17
 */
@TableName("dl_member_address")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberAddress extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 博主用户id */
    @Excel(name = "博主用户id")
    private Long userId;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String tel;

    /** 收件人名称 */
    @Excel(name = "收件人名称")
    private String name;

    /** 省 市 区 */
    @Excel(name = "省 市 区")
    private String city;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detail;

    /** 是否默认 */
    @Excel(name = "是否默认")
    private String isDefault;

}
