package com.ruoyi.member.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 黑名单对象 dl_member_blacklist
 * 
 * @author pqz
 * @date 2025-03-17
 */
@TableName("dl_member_blacklist")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberBlacklist extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 所有者用户id */
    @Excel(name = "所有者用户id")
    private Long userId;

    /** 拉黑的用户id */
    @Excel(name = "拉黑的用户id")
    private Long blackUserId;

    /** 拉黑的用户身份（数据字典：dl_user_type） */
    @Excel(name = "拉黑的用户身份", readConverterExp = "数=据字典：dl_user_type")
    private String blackUserType;

}
