package com.ruoyi.member.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 博主名片对象 dl_member_busi_card
 * 
 * @author pqz
 * @date 2025-03-17
 */
@TableName("dl_member_busi_card")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberBusiCard extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 博主用户id */
    @Excel(name = "博主用户id")
    private Long userId;

    /** 博主本平台昵称 */
    @Excel(name = "博主本平台昵称")
    private String nickname;

    /** 平台code（树形字典：dl_platform） */
    @Excel(name = "平台code", readConverterExp = "树=形字典：dl_platform")
    private String platformCode;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String platformName;

    /** 账号id */
    @Excel(name = "账号id")
    private String accountNumber;

    /** 账号昵称 */
    @Excel(name = "账号昵称")
    private String accountName;

    /** 粉丝数量 */
    @Excel(name = "粉丝数量")
    private Long fansNum;

    /** 图片附件地址 */
    @Excel(name = "图片附件地址")
    private String image;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String tel;

    /** 商单自报价 */
    @Excel(name = "商单自报价")
    private BigDecimal price;

    /** 所在领域/合作方式/是否为平台品牌合作人等 */
    @Excel(name = "所在领域/合作方式/是否为平台品牌合作人等")
    private String content;

    /** 关联收货地址id */
    @Excel(name = "关联收货地址id")
    private String addrId;

    /** 审核状态(数据字典：dl_approval_status) */
    @Excel(name = "审核状态(数据字典：dl_approval_status)")
    private String approvalStatus;

    /** 审核人id */
    @Excel(name = "审核人id")
    private Long approvalUserId;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approvalTime;

    /** 审核备注 */
    @Excel(name = "审核备注")
    private String approvalRemark;

}
