package com.ruoyi.member.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 用户通告券变动记录对象 dl_member_coupon
 * 
 * @author vinjor-m
 * @date 2025-03-17
 */
@TableName("dl_member_coupon")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberCoupon extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 用户id */
    private String userId;

    /** 类型（1-增加|2-扣减） */
    @Excel(name = "类型", readConverterExp = "1=-增加|2-扣减")
    private String type;

    /** 通告id */
    private String noticeId;

    /** 数量 */
    @Excel(name = "数量")
    private Integer couponNum;

    /** 剩余 */
    @Excel(name = "剩余")
    private Long balance;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

}
