package com.ruoyi.member.domain;

import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 博主积分变动明细对象 dl_member_points
 * 
 * @author pqz
 * @date 2025-03-17
 */
@TableName("dl_member_points")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberPoints extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 博主用户id */
    @Excel(name = "博主用户id")
    private Long userId;

    /** 积分来源类型（树形字典code：points_from） */
    @Excel(name = "积分来源类型", readConverterExp = "树=形字典code：points_from")
    private String fromCode;

    /** 类型（1-增加|2-扣减） */
    @Excel(name = "类型", readConverterExp = "1=-增加|2-扣减")
    private String type;

    /** 标题（如：用户签到，增加10积分） */
    @Excel(name = "标题", readConverterExp = "如=：用户签到，增加10积分")
    private String title;

    /** 积分 */
    @Excel(name = "积分")
    private Integer points;

    /** 剩余 */
    @Excel(name = "剩余")
    private Long balance;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

}
