package com.ruoyi.member.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.member.mapper.MemberUserMapper;
import com.ruoyi.member.domain.MemberUser;
import com.ruoyi.member.service.IMemberUserService;

/**
 * 会员Service业务层处理
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Service
public class MemberUserServiceImpl extends ServiceImpl<MemberUserMapper,MemberUser>  implements IMemberUserService
{
    @Autowired
    private MemberUserMapper memberUserMapper;


    /**
     * 分页列表查询
     *
     * @param pageReqVO {@link MemberUser}
     * @param page      分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberUser>
     * @author PQZ
     * @date 15:32 2025/3/17
     **/
    @Override
    public IPage<MemberUser> queryListPage(MemberUser pageReqVO, Page<MemberUser> page) {
        return memberUserMapper.queryListPage(pageReqVO, page);
    }
}
